      subroutine li3entier(question,iopt,ient1,ient2,ient3)
c
      character*(*) question
      integer ient1,ient2,ient3
c
 1000 call print_moi_ca(question,iopt)
c
      read(*,*,err=1000) ient1,ient2,ient3
      if (iopt.gt.0) then
        i1 = max(ient1,ient2,ient3)
        i2 = min(ient1,ient2,ient3)
        ll = len(question)
        if (i1.lt.100000.and.i2.gt.-10000) then
          write(iopt,'(3i5,a3,a)')
     &         ient1,ient2,ient3,char(9)//'# ',question(1:ll)
        else
          write(iopt,'(3i10,a3,a)')
     &         ient1,ient2,ient3,char(9)//'# ',question(1:ll)
        endif
      endif
      end
